Skip to main content
PATCH
/
inboxes
/
{inboxId}
JavaScript
import Nuntly from '@nuntly/sdk';

const client = new Nuntly({
  apiKey: process.env['NUNTLY_API_KEY'], // This is the default and can be omitted
});

const inbox = await client.inboxes.update('ibx_01kabn43yqyxn2bx4ve84mczd3');

console.log(inbox.id);
{
  "data": {
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication. Allowed headers Authorization: Bearer <API_KEY>

Path Parameters

inboxId
string
required

The id of the inbox

Example:

"ibx_01kabn43yqyxn2bx4ve84mczd3"

Body

application/json

Inbox name, namespace, agent assignment, or status update.

name
string | null

The display name of the inbox.

namespaceId
string | null

The id of the namespace to assign the inbox to.

agentId
string | null

The external AI agent identifier.

status
enum<string>

The status of the inbox.

Available options:
active,
disabled

Response

Successful response.

data
object
required